<button style="margin:5px" (click)="onAction(follow, $event)">Follow</button>
<button style="margin:5px" (click)="onAction(share, $event)">Share</button>
<button style="margin:5px" (click)="onAction(buy, $event)">Buy</button>
<button style="margin:5px" (click)="onAction(remove, $event)">Remove</button>
